var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { useCallback } from 'react';
import TextField from '../TextField/TextField';
import { StyledAutoComplete } from './AutoComplete.styles';
import { OptionItem } from './OptionItem';
/*eslint-disable @typescript-eslint/no-unused-vars*/
function AutoComplete(_a) {
    var renderInput = _a.renderInput, sx = _a.sx, props = __rest(_a, ["renderInput", "sx"]);
    var defaultRenderInput = useCallback(function (params) { return _jsx(TextField, __assign({ label: "Label" }, params, props.inputProps)); }, [props.inputProps]);
    return (_jsx(StyledAutoComplete, __assign({ renderInput: renderInput !== null && renderInput !== void 0 ? renderInput : defaultRenderInput, renderOption: function (renderProps, option) {
            var _a;
            return (_jsx(OptionItem, __assign({ iconPosition: props.iconPosition, option: option }, ((_a = props === null || props === void 0 ? void 0 : props.optionProps) !== null && _a !== void 0 ? _a : {}), renderProps)));
        } }, props)));
}
export default AutoComplete;
