import Autocomplete from '@mui/material/Autocomplete';
import { ComponentProps, CSSProperties, ReactNode } from 'react';
import { TextFieldProps } from '../TextField/TextField.types';
export declare type Option = {
    label: string;
    id: number;
    icon?: string;
};
export declare type AutoCompleteIconPositionProps = {
    iconPosition?: 'right' | 'left';
    optionProps?: CSSProperties;
    inputProps?: TextFieldProps;
    options: Option[];
};
export declare type AutoCompleteProps = Omit<ComponentProps<typeof Autocomplete>, 'renderInput'> & {
    renderInput?: (params: object) => ReactNode;
} & AutoCompleteIconPositionProps & {};
