import { Button } from '@mui/material';
import { ComponentProps } from 'react';
export declare enum ButtonShape {
    CANDY = "candy",
    ROUNDED = "rounded",
    ROUNDED_TOP = "rounded-top",
    ROUNDER_BOTTOM = "rounded-bottom",
    ROUNDED_LEFT = "rounded-left",
    ROUNDED_RIGHT = "rounded-right",
    ROUNDED_LEFT_TOP = "rounded-left-top",
    ROUNDED_LEFT_BOTTOM = "rounded-left-bottom",
    ROUNDED_RIGHT_TOP = "rounded-right-top",
    ROUNDED_RIGHT_BOTTOM = "rounded-right-bottom"
}
declare module '@mui/material/Button' {
    interface ButtonPropsSizeOverrides {
        touch: true;
        inline: true;
        default: true;
    }
}
export declare type ButtonShapeProps = {
    shape?: ButtonShape;
};
export declare type ButtonProps = ComponentProps<typeof Button> & ButtonShapeProps & {};
